Subject: help ?

From: [email-masked]
Date: Thu, 29 Aug 1996 13:29:29 +0530

Hi,
My pentium is not booting after I installed Debian 1.1 (kernel 2.0.0).  The
system hangs after configuring the serial ports.  Here is what the last screen
looks like.

----------------
Running /etc/init.d/boot
.
Loading modules lp ...
ne loading device 'eth0'
eth0: NE2000 found at 0x300, using irq 9
.
cdrom Module inserted ...
isofs ncpfs nfs nfs smbfs ipx                   # module nfs is loaded twice?
.
serial Serial driver version 4.13 with no serial options enabled
tty00 at 0x03f8 (irq=4) is a 16550A
tty01 at 0x02f8 (irq=3) is a 16550A

Mounting local file systems...
/proc on /proc type proc (rw)
/dev/sda2 on /user1 type ext2 (rw)
/dev/sdb1 on /user2 type ext2 (rw)

none: Host name lookup failure                 # But hostname was configured

Mounting remote file systems...
Local time:                                    # I chose "localtime" *

Cleaning up /tmp, /var/run and /var/lock ... done
Console setup:
   Linking /dev/console to /dev/tty0

Configuring serial ports....done.
/dev/cua0 at 0x03f8 (irq=4) is a 16550A
/dev/cua1 at 0x02f8 (irq=3) is a 16550A

-------------------------
That's it; here the system hangs.
I went over the installation procedure again, this time doing everything except
partitioning the two SCSI disks - the old scheme was retained.  After
configuring, I went into the shell instead of rebooting and checked some of the
boot scripts.  I am not familiar with shell scripts, but found one error in
/etc/init.d/boot : a chown command was wrong (chown root.tty ...); I changed
root.tty to root:tty, and rebooted the system.  It hung at the same point.

The first time I did the installation, I chose the "hard disk boot" option, but
this did not work.  It hung, searching for a disk in the FDD.  On inserting the
boot floppy, which too had been prepared, it booted, only to hang as mentioned
above.

I am not sure what other information would be useful, but here are some of the
hardware details.

Pentium 100 MHz
Two SCSI HDDs : SEAGATE ST5 1080N (1030 Mb each)
using Future Domain TMC-3260 (PCI) controller.
One 3.5" FDD
One ATAPI CDROM
NE2000 ethernet
Monitor is 14" SVGA colour

* India is 5h30m ahead of GMT; is it possible to set up linux to show Indian
Standard Time (IST)?

Can someone help?
Thanks.
Shankar.

---

From: Dale Scheetz <[email-masked]>
Date: Thu, 29 Aug 1996 10:33:01 -0400 (EDT)

> system hangs after configuring the serial ports.  Here is what the last screen
Looks like you have no driver for the Future Domain controler in your
kernel. Look at the special kernels and see if there is one that will
work. If not, let me know, and I will try to build you a custom kernel.

Luck,

Dwarf

------------                                          --------------

aka   Dale Scheetz                   Phone:   1 (904) 877-0257
      Flexible Software              Fax:     NONE 
      Black Creek Critters           e-mail:  [email-masked]

------------ If you don't see what you want, just ask --------------

---

From: [email-masked]
Date: Thu, 29 Aug 1996 21:10:41 -0400 (EDT)

Shankar,

This looks like it might be the "auto-config" setting in the setserial
script.  There is a caution there about using it, but I've never had
any trouble with it myself.  However, I do edit the file and turn off
the "auto".  Uncomment the manual config lines for the appropriate ports
that you actually have in the machine, and try that.  I must tell you
though that with Debian I don't do this anymore because it works 
properly!  Other distributions fail in setting the proper IRQ for my
3rd serial port (cua2 set at irq 5).  The "auto" setting does work for
me on Debian, and properly sets even this port with no problem.  However
Redhat, versions 2.1 and the new 3.0.3 release, have never handled this
properly using the "auto" and must be set manually.  Try turning off the
auto and see what happens.

Paul